Run of lintian-fixes for eglexternalplatform

Try this locally (using the lintian-brush package):

debcheckout eglexternalplatform
cd eglexternalplatform
DEB_UPDATE_CHANGELOG=auto lintian-brush

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 95c788e..411cae0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,14 @@
 eglexternalplatform (1.1-2) UNRELEASED; urgency=medium
 
+  [ Timo Aaltonen ]
   * control: Bump policy to 4.4.0.
   * control, compat: Bump debhelper to 12.
 
+  [ Debian Janitor ]
+  * Set debhelper-compat version in Build-Depends.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
+    Repository-Browse.
+
  -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Jul 2019 14:53:14 +0300
 
 eglexternalplatform (1.1-1) unstable; urgency=medium
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index 48082f7..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-12
diff --git a/debian/control b/debian/control
index cfa649d..9c6ed6d 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,7 @@ Source: eglexternalplatform
 Section: x11
 Priority: optional
 Maintainer: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends:
- debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12)
 Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/eglexternalplatform.git
 Vcs-Browser: https://salsa.debian.org/debian/eglexternalplatform
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..20f86a1
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,5 @@
+---
+Bug-Database: https://github.com/NVIDIA/eglexternalplatform/issues
+Bug-Submit: https://github.com/NVIDIA/eglexternalplatform/issues/new
+Repository: https://github.com/NVIDIA/eglexternalplatform.git
+Repository-Browse: https://github.com/NVIDIA/eglexternalplatform

Debdiff

File lists identical (after any substitutions)

No differences were encountered in the control files

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t lintian-fixes eglexternalplatform-dev

Lintian Result

Full worker log Full build log